
Installer - Bug #28681

Smart proxy dynflow core listens on 0.0.0.0

01/08/2020 08:40 AM - Adam Ruzicka

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   
Target version:    
Pull request: https://github.com/theforeman/puppet-for

eman_proxy/pull/557

  

Description

We may want to use localhost to make it bind to both v4 and v6 sockets.

Related issues:

Related to Foreman - Tracker #28683: IPv6 only support New

Associated revisions

Revision 9c06de50 - 01/15/2020 01:17 PM - Ewoud Kohl van Wijngaarden

Fixes #28681 - Listen on all dynflow IPs

Previously it listened only on 0.0.0.0 which is a problem in IPv6-only

setups. By listening on *, it should listen on dual stack.

History

#1 - 01/08/2020 08:40 AM - Adam Ruzicka

- Category set to Foreman modules

#2 - 01/08/2020 12:23 PM - Ewoud Kohl van Wijngaarden

- Related to Tracker #28683: IPv6 only support added

#3 - 01/08/2020 03:02 PM - Adam Ruzicka

- Subject changed from Smart proxy dynflow core listens on 127.0.0.1 to Smart proxy dynflow core listens on 0.0.0.0

The default is 0.0.0.0, not 127.0.0.1. Anyway, it still binds to v4 only.

#4 - 01/08/2020 03:04 PM - Adam Ruzicka

- Bugzilla link set to 1789007

#5 - 01/08/2020 05:31 PM - Ewoud Kohl van Wijngaarden

Should be safe to bind to * instead of 0.0.0.0. Probably good to also quote the value while making changes.

#6 - 01/14/2020 02:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/557 added

#7 - 01/15/2020 02:52 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#8 - 01/15/2020 03:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy|9c06de502c28650cb5d6190e25afba453dea9991.
